import express, {type Router} from "express";
import UserGuard from "@validators/UserGuard";
import AdminGuard from "@validators/AdminGuard";
import AuthController from "@controllers/auth.controller";


const AuthRouter: Router = express.Router();

AuthRouter.route('/login').post(AuthController.login)
AuthRouter.route('/register').post(AuthController.register)

// PATCH
//TODO - To test
AuthRouter.route('/me')
	.patch(UserGuard, AuthController.editUser)

// GET
AuthRouter.route('/me')
	.get(UserGuard, AuthController.getSelf)

// DELETE
AuthRouter.route('/me')
	.delete(UserGuard, AuthController.deleteSelf)


// GET
AuthRouter.route('/all')
	.get(AdminGuard, AuthController.getAllUsers)


// GET
AuthRouter.route('/user/:targetId')
	.get(AdminGuard, AuthController.getUser)
	.patch(AdminGuard, AuthController.editUser)
	.delete(AdminGuard, AuthController.deleteUser)


export default AuthRouter